using System.Security.Claims;
using Microsoft.IdentityModel.Tokens;

namespace adas_core.Authentication.Interfaces;

public interface ITokenService
{
    int RefreshTokenValidityInDays { get; }
    SecurityToken? GetToken(string username, List<Claim> claims);

    string GetRefreshToken();

    string Serialize(SecurityToken token);
}